UnrecognizedExtraField (Apache Ant API)
Keywords: org.apache.tools.zip.UnrecognizedExtraField class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.zip
Class UnrecognizedExtraField

    java.lang.Object
      org.apache.tools.zip.UnrecognizedExtraField

All Implemented Interfaces:
  ZipExtraField

public class UnrecognizedExtraField
extends java.lang.Object
implements ZipExtraField

Simple placeholder for all those extra fields we don't want to deal with.

Assumes local file data and central directory entries are identical - unless told the opposite.

Version:
  $Revision: 1.2.2.1 $
Author:
  Stefan Bodewig

Constructor Summary
`UnrecognizedExtraField()`

Method Summary
`byte[]` | `getCentralDirectoryData()` The actual data to put central directory - without Header-ID or length specifier.
`ZipShort` | `getCentralDirectoryLength()` Length of the extra field in the central directory - without Header-ID or length specifier.
`ZipShort` | `getHeaderId()` The Header-ID.
`byte[]` | `getLocalFileDataData()` The actual data to put into local file data - without Header-ID or length specifier.
`ZipShort` | `getLocalFileDataLength()` Length of the extra field in the local file data - without Header-ID or length specifier.
`void` | `parseFromLocalFileData(byte[] data, int offset, int length)` Populate data from this array as if it was in local file data.
`void` | `setCentralDirectoryData(byte[] data)`
`void` | `setHeaderId(ZipShort headerId)`
`void` | `setLocalFileDataData(byte[] data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnrecognizedExtraField

    public UnrecognizedExtraField()

Method Detail

### setHeaderId

    public void setHeaderId(ZipShort headerId)

### getHeaderId

    public ZipShort getHeaderId()

  Description copied from interface: `ZipExtraField`
  The Header-ID.

  Specified by:
    `getHeaderId` in interface `ZipExtraField`

### setLocalFileDataData

    public void setLocalFileDataData(byte[] data)

### getLocalFileDataLength

    public ZipShort getLocalFileDataLength()

  Description copied from interface: `ZipExtraField`
  Length of the extra field in the local file data - without Header-ID or length specifier.

  Specified by:
    `getLocalFileDataLength` in interface `ZipExtraField`

### getLocalFileDataData

    public byte[] getLocalFileDataData()

  Description copied from interface: `ZipExtraField`
  The actual data to put into local file data - without Header-ID or length specifier.

  Specified by:
    `getLocalFileDataData` in interface `ZipExtraField`

### setCentralDirectoryData

    public void setCentralDirectoryData(byte[] data)

### getCentralDirectoryLength

    public ZipShort getCentralDirectoryLength()

  Description copied from interface: `ZipExtraField`
  Length of the extra field in the central directory - without Header-ID or length specifier.

  Specified by:
    `getCentralDirectoryLength` in interface `ZipExtraField`

### getCentralDirectoryData

    public byte[] getCentralDirectoryData()

  Description copied from interface: `ZipExtraField`
  The actual data to put central directory - without Header-ID or length specifier.

  Specified by:
    `getCentralDirectoryData` in interface `ZipExtraField`

### parseFromLocalFileData

    public void parseFromLocalFileData(byte[] data,
                                       int offset,
                                       int length)

  Description copied from interface: `ZipExtraField`
  Populate data from this array as if it was in local file data.

  Specified by:
    `parseFromLocalFileData` in interface `ZipExtraField`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.